=== debian/changelog ===
emacs-eat (0.9.4-3) unstable; urgency=medium

  * Team upload.
  * Install shell integration files (Closes: #1122588).
  * Drop Build-Dep on ncurses-bin (build-essential).
  * Bump Standards-Version to 4.7.2, no changes.
  * Drop Rules-Requires-Root, no longer needed.
  * Add debian/watch file.

 -- Arto Jantunen <viiru@debian.org>  Fri, 12 Dec 2025 19:17:53 +0200

emacs-eat (0.9.4-2) unstable; urgency=medium

  * Source-only upload

 -- Martin <debacle@debian.org>  Tue, 20 Aug 2024 22:07:10 +0000

emacs-eat (0.9.4-1) unstable; urgency=medium

  * Initial package (Closes: #1078659)

 -- Martin <debacle@debian.org>  Fri, 16 Aug 2024 08:00:56 +0000
