=== debian/control ===
Source: emacs-eat
Section: editors
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Martin <debacle@debian.org>
Build-Depends: debhelper-compat (= 13),
	dh-elpa,
	elpa-compat,
	texinfo,
Standards-Version: 4.7.2
Homepage: https://codeberg.org/akib/emacs-eat
Vcs-Git: https://salsa.debian.org/emacsen-team/emacs-eat.git
Vcs-Browser: https://salsa.debian.org/emacsen-team/emacs-eat

Package: elpa-eat
Architecture: all
Depends: ${elpa:Depends},
	${misc:Depends},
Recommends: emacs,
Enhances: emacs
Description: Emulate A Terminal, in a region, in a buffer and in Eshell
 Eat is a terminal emulator. It can run most (if not all) full-screen
 terminal programs, including Emacs.
