=== debian/watch ===
Version: 5
Source: https://codeberg.org/api/v1/repos/akib/emacs-eat/tags
Matching-Pattern: https://codeberg.org/akib/emacs-eat/archive/[^"-_v]*@ANY_VERSION@@ARCHIVE_EXT@
Search-Mode: plain
Filename-Mangle: s%.*/[^"-_v]*@ANY_VERSION@%@PACKAGE@-$1%
